import { z } from "zod";

//----------------------------------------------------------------------------

export const loginSchema = z.object({
  email: z
    .string({ required_error: "L'adresse mail est obligatoire" })
    .email({ message: "L'adresse mail est invalide" })
    .max(250, "250 caractères au maximum"),
  password: z
    .string({ required_error: "Le mot de passe est obligatoire" })
    .min(8, { message: "8 caractères au minimum" }),
});

export type LoginSchema = z.infer<typeof loginSchema>;

//----------------------------------------------------------------------------

export const loginResponseSchema = z.object({
  accessToken: z.string(),
});

//----------------------------------------------------------------------------------------
